[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Problem compiling 1.0.1 on Solaris 2.8

From: v.kalra.w <vkalra_at_agere.com>
Date: 2004-03-30 22:44:09 CEST

Hi:

When trying to compile Subversion 1.0.1 on Solaris 2.8, I'm getting the
follwing error message and would appreciate any help:

ild: (argument error) can't find library arguments :: -lsendfile -lrt -lresolv -lpthread -ldl -lz

after the following command:

cd subversion/clients/cmdline && /bin/sh /tmp/subversion-1.0.1/libtool --silent --mode=link cc -all-static -g -g -DNEON_ZLIB -L/sw/svn/components/BerkeleyDB-4.2.52/lib -L/tmp/subversion-1.0.1/apr-util/xml/expat/lib -rpath /sw/svn/1.0.1/lib -o svn add-cmd.o blame-cmd.o cat-cmd.o checkout-cmd .o cleanup-cmd.o commit-cmd.o copy-cmd.o delete-cmd.o diff-cmd.o export-cmd.o help-cmd .o import-cmd.o info-cmd.o log-cmd.o ls-cmd.o main.o merge-cmd.o mkdir-cmd.o move-cmd. o notify.o prompt.o propdel-cmd.o propedit-cmd.o propget-cmd.o proplist-cmd.o props.o propset-cmd.o resolved-cmd.o revert-cmd.o status-cmd.o status.o switch-cmd.o update-cm d.o util.o ../../../subversion/libsvn_client/libsvn_client-1.la ../../../subversion/li bsvn_wc/libsvn_wc-1.la ../../../subversion/libsvn_ra/libsvn_ra-1.la ../../../subversion/libsvn_delta/libsvn_delta-1.la ../../../subversion/libsvn_subr/libsvn_subr-1.la /tmp/subversion-1.0.1/apr-util/libaprutil-0.la -ldb /tmp/subversion-1.0.1/apr-util/xml/expat/lib/libexpat.la /tmp/subversion-
1.0.1/apr/libapr-0.la -lsendfile -lrt -lm -lsocket -lnsl -lresolv -lpthread -ldl /tmp/subversion-1.0.1/neon/src/libneon.la -L/sw/svn/1.0.1/lib -lnsl -lsock et -lz -lsocket -lz

Since all these libraries do exist in /usr/lib, I'm not sure just what
the error message is telling me.

The original configure command that got me here was:

CC=cc PATH=/sw/svn/components/libtool-1.5.2/bin/:$PATH LD_LIBRARY_PATH=/sw/svn/components/BerkeleyDB-4.2.52/lib:$LD_LIBRARY_PATH ./configure --enable-all-static --with-berkeley-db=/sw/svn/components/BerkeleyDB-4.2.52 --with-zlib --prefix=/sw/svn/1.0.1

The mailing list archives refer to compilation issues on Solaris for the
incorrect libtool version, which should not be the case here. I did run
autogen.sh and installed libtool 1.5.2 before compiling svn.

Any other ideas?

Thanks

Vivek

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Tue Mar 30 22:44:52 2004

This is an archived mail posted to the Subversion Users mailing list.